Added quantiling UDAFs
[com/gs-lite.git] / bin / buildit
index c762ffc..8df987d 100755 (executable)
@@ -1,42 +1,42 @@
-#!/bin/sh
-
-# ------------------------------------------------
-#   Copyright 2014 AT&T Intellectual Property
-#   Licensed under the Apache License, Version 2.0 (the "License");
-#   you may not use this file except in compliance with the License.
-#   You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-#   Unless required by applicable law or agreed to in writing, software
-#   distributed under the License is distributed on an "AS IS" BASIS,
-#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-#   See the License for the specific language governing permissions and
-#   limitations under the License.
-# -------------------------------------------
-
-# GSLITE_ROOT environment variable need to be set
-
-if [ -z "$GSLITE_ROOT" ]
-then
-    echo "GSLITE_ROOT must be set to non-empty string"
-    exit -1
-fi
-
-$GSLITE_ROOT/bin/translate_fta -h localhost -c -M -R $GSLITE_ROOT -C $GSLITE_ROOT/cfg -l $GSLITE_ROOT/qlib packet_schema.txt *.gsql
-ret=$?
-if [ $ret -ne 0 ]
-then
-    echo "Query translation failed!"
-    exit $ret
-fi
-    
-make
-ret=$?
-if [ $ret -ne 0 ]
-then
-    echo "Query build failed!"
-    exit $ret
-fi    
-exit $ret
-
+#!/bin/sh\r
+\r
+# ------------------------------------------------\r
+#   Copyright 2014 AT&T Intellectual Property\r
+#   Licensed under the Apache License, Version 2.0 (the "License");\r
+#   you may not use this file except in compliance with the License.\r
+#   You may obtain a copy of the License at\r
+#\r
+#     http://www.apache.org/licenses/LICENSE-2.0\r
+#\r
+#   Unless required by applicable law or agreed to in writing, software\r
+#   distributed under the License is distributed on an "AS IS" BASIS,\r
+#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\r
+#   See the License for the specific language governing permissions and\r
+#   limitations under the License.\r
+# -------------------------------------------\r
+\r
+# GSLITE_ROOT environment variable need to be set\r
+\r
+if [ -z "$GSLITE_ROOT" ]\r
+then\r
+    echo "GSLITE_ROOT must be set to non-empty string"\r
+    exit -1\r
+fi\r
+\r
+$GSLITE_ROOT/bin/translate_fta -h localhost -c -M -R $GSLITE_ROOT -C $GSLITE_ROOT/cfg -l $GSLITE_ROOT/qlib packet_schema.txt *.gsql\r
+ret=$?\r
+if [ $ret -ne 0 ]\r
+then\r
+    echo "Query translation failed!"\r
+    exit $ret\r
+fi\r
+    \r
+make\r
+ret=$?\r
+if [ $ret -ne 0 ]\r
+then\r
+    echo "Query build failed!"\r
+    exit $ret\r
+fi    \r
+exit $ret\r
+\r